Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.common
Class NamespaceObjectHandle

    java.lang.Object
      |
      +--com.bea.wlai.common.NamespaceObjectHandle

public class NamespaceObjectHandle
extends java.lang.Object
implements java.io.Serializable

Represents a handle to an object within a namespace. Objects of this class provide enough information to retrieve the actual object they represent. This class does not provide any object retrieval capabilities, nor does it know or suggest the method by which objects will be retrieved.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`NamespaceObjectHandle(INamespaceObject obj)` Construct a new NamespaceObjectHandle that refers to the given INamespaceObject object.
`NamespaceObjectHandle(QualifiedName qname, java.lang.String className)` Construct a new NamespaceObjectHandle with the given qualified name and class name.

Method Summary
`java.lang.String` | `getClassName()` Get the name of the Class of the object this handle represents.
`java.lang.String` | `getName()` Get the object name of the object this handle represents.
`QualifiedName` | `getQualifiedName()` Get the qualified name of the object this handle represents.
`boolean` | `isAssignableTo(java.lang.Class clazz)` Convenience method to check if this handle refers to an object which is assignable from given class.
`void` | `setClassName(java.lang.String name)` Set the name of the Class of the object this handle represents.
`void` | `setQualifiedName(QualifiedName qname)` Set the qualified name of the object this handle represents.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamespaceObjectHandle

    public NamespaceObjectHandle(INamespaceObject obj)

  Construct a new NamespaceObjectHandle that refers to the given INamespaceObject object.

  Parameters:
    `obj` - The INamespaceObject object this handle will refer to. Null is not allowed.
  Throws:
    java.lang.IllegalArgumentException - If the obj parameter is null.

### NamespaceObjectHandle

    public NamespaceObjectHandle(QualifiedName qname,
                                 java.lang.String className)

  Construct a new NamespaceObjectHandle with the given qualified name and class name.

  Parameters:
    `qname` - The qualified name of the namespace object this handle represents. Null is not allowed.
    `className` - The name of the class for the namespace object this handle represents. Null is not allowed.
  Throws:
    java.lang.IllegalArgumentException - If the name or className parameters are null.

Method Detail

### setQualifiedName

    public void setQualifiedName(QualifiedName qname)

  Set the qualified name of the object this handle represents.

  Parameters:
    `qname` - The qualified name of the object this handle represents. Null is not allowed.
  Throws:
    java.lang.IllegalArgumentException - If the name parameter is null.

### getQualifiedName

    public QualifiedName getQualifiedName()

  Get the qualified name of the object this handle represents.

  Returns:
    The qualified name of the object this handle represents. Null is not allowed.

### getName

    public java.lang.String getName()

  Get the object name of the object this handle represents.

  Returns:
    The object name of the object this handle represents. Null is not allowed.

### setClassName

    public void setClassName(java.lang.String name)

  Set the name of the Class of the object this handle represents.

  Parameters:
    `name` - The name of the Class of the object this handle represents. Null is not allowed.
  Throws:
    java.lang.IllegalArgumentException - If the name parameter is null.

### getClassName

    public java.lang.String getClassName()

  Get the name of the Class of the object this handle represents.

  Returns:
    The name of the Class of the object this handle represents. Null is not allowed.

### isAssignableTo

    public boolean isAssignableTo(java.lang.Class clazz)

  Convenience method to check if this handle refers to an object which is assignable from given class. For example, if this handle represents a com.foo.ApplicationViewDescriptorImpl object and com.foo.ApplicationViewDescriptorImpl implements com.bea.wlai.common.IApplicationViewDescriptor, then the following...

       boolean result =
         handle.
           isAssignableTo(com.bea.wlai.common.IApplicationViewDescriptor.class);

  returns true.

  Parameters:
    `The` - Class object representing the type to be assigned to.
  Returns:
    True if objects of the Class represented by this handle can be can be assigned to objects of the given Class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)